#
# Copyright (c) 2016 Sam4Mobile
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

require 'socket'

# getifipv4s get all ifaces with an ipv4, sorted by iface name
module OVHAPI
  def ifaddrswithipv4
    Socket.getifaddrs.select do |ifaddr|
      ifaddr.name != 'lo' && !ifaddr.addr.nil? &&
        ifaddr.addr.ip? && ifaddr.addr.ipv4?
    end
  end

  def ifipv4(ifaddrs)
    ifaddrs.map do |ifaddr|
      [ifaddr.name, ifaddr.addr.ip_address]
    end.sort
  end
end
