#
# Copyright (c) 2016 Sam4Mobile
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

# Include init, necessary to get ovh_client
include_recipe "#{cookbook_name}::init"

# Get ovh information filled by init recipe
ovh_client = node.run_state['ovh_client']
ovh_service_name = node.run_state['ovh_service_name']
ovh_ip = node.run_state['ovh_ip']
ovh_iface = node.run_state['ovh_iface']

# Create hint with general informations fetched from OVH API
ohai_hint 'ovh-general' do
  content(
    'service_name' => ovh_service_name,
    'primary_ip' => ovh_ip,
    'primary_iface' => ovh_iface
  )
end

# Create hint with hardware informations
url = "/dedicated/server/#{ovh_service_name}/specifications/hardware"
hardware = ovh_client.get(url)

ohai_hint 'ovh-hardware' do
  content hardware
end

# Install Ohai plugin 'ovh'
ohai_plugin 'ovh' do
  resource :template
end
